/*
Theme Name: Sonora Child Theme
Description: This is a custom child theme for Salient
Theme URI:  https://themeforest.net/item/sonora-photography-wordpress-theme/49797417
Author: ThemeNectar
Author URI:  https://themeforest.net/user/themenectar
Template: sonora
Version: 1.0
*/


/*CSS GLOBALE CUSTOM/

/* FL: Aggiunto stile alla scritta "Anna Scaravella" nella home-parallax */
.home-parallax .qodef-e-info{
  display : inline-block;
  font-family: "Cormorant Garamond", Georgia, serif;
  font-size: 4em;
  font-style: italic;
	padding: 5px; 
}
h3.qodef-m-title.entry-title {
    font-size: 5em;
    font-style: italic;
    padding: 5px;
    font-family: "Cormorant Garamond", Georgia, serif;

}


/*FL: Definata la dimensione degli elementi del menù responsive*/
.qodef-fullscreen-menu>ul>li>a {
  font-size: 50px!important;
}

/* FL: Nella homepage modifica la posizione dell immagine di background */
.home-parallax .qodef-parallax-section-holder {
	  background-position: center;
}

/* FL: Aggiunto dove necessario un effetto di ombreggiatura per migliorare leggibilità del testo nella homepage*/
.home-parallax .qode--char, .home-parallax .qodef-pli-counter::after, .home-parallax .qodef-e-info, .home-parallax .qodef-e-title.entry-title {
text-shadow:
    0 0 5px rgba(0,0,0,0.5),
    0 0 10px rgba(0,0,0,0.5),
    0 0 20px rgba(0,0,0,0.6);
}


/* FL: Aggiunti filtri di ombreggiatura al logo presente nella home per migliorare la leggibilità*/
.qodef-header-logo-image.qodef--light {
filter: drop-shadow( 0 0 10px rgba(0,0,0,0.5))
          drop-shadow(0 0 20px rgba(0,0,0,0.5))
	  drop-shadow( 0 0 40px rgba(0,0,0,0.6));
}

/*-----------*/

/*FL: Modificata l'altezza e la spaziatura degli "articoli" nella home */
.qodef-portfolio-list.qodef-layout--parallax article {
	 height: 95vh;
}

.qodef-portfolio-list.qodef-layout--parallax .qodef-portfolio-list-texts .qodef-pli-parallax-text-item {
	bottom: 4vh
}
/*-----------*/ 



/* FL: Serve a far si che il menu panino sia nero e non bianco quando il menu fullscreen viene aperto nella homepage */
.qodef--opened .qodef-m-icon .qodef-m-lines .qodef-m-line { 
background-color:black;}

/*-----------*/
/* FL: Stile che modifica il bottone read more aggiunto negli articoli */
.read-link[aria-expanded="true"] {
  display: none;
}
.read-link:hover,.read-link:focus {
	outline: 0px!important;
}

.read-link {

	font-weight: 600!important;
	letter-spacing: -0.01em;
	line-height: 20px;
  display: inline-flex;
	text-align:center;
  font-size: 0.92em;
  text-transform: uppercase;
  color: #222;
}

/*-----------*/
  

/*FL: Regola inserita Nella pagina dei singoli articoli, i costum field vengono disposti su 3 colonne invece che su 2 */
.qodef-portfolio-single .qodef-variations--big .qodef-portfolio-info {
grid-template-columns: 1fr 1fr 1fr;
}

/*-----------*/
/*FL: Media query per gestire l'allineamento degli elementi nelle pagine dei singoli works e delle singole press*/
@media only screen and (min-width: 1025px) { 
  .qodef-grid.qodef-layout--template.qodef-grid-template--8-4>.qodef-grid-inner {
    grid-template-areas: "title ."
"content sidebar";
}

div.qodef-grid-item.qodef-col--content {
    display: contents;
}

.qodef-portfolio-single.qodef-portfolio-title {
	grid-area: title;
}

.qodef-e.qodef-portfolio-content {
grid-area: content;
}
.qodef-grid.qodef-layout--template>.qodef-grid-inner>.qodef-grid-item.qodef-col--sidebar {
  margin:0;
  grid-area: sidebar;
}
}

/*-----------*/
/*FL: Media query per gestire la navigazione dei singoli articoli nella navigazione mobile*/
/* @media only screen and (max-width: 1500px) {
    #qodef-single-portfolio-navigation .qodef-m-nav-center {
        width: 100%;
    }
    #qodef-single-portfolio-navigation .qodef-m-nav-right {
        width: 100%;
        align-items: center;
    }

 #qodef-single-portfolio-navigation .qodef-m-inner {
  display: grid;
  grid-template-columns: 1fr 1fr; 

 }
} */
@media (min-width: 949px) and (max-width: 1499px ) {
	  #qodef-single-portfolio-navigation .qodef-m-nav-right {
      display: flex;
      flex-direction: column;
    }
}
@media (max-width: 1500px) {

  #qodef-single-portfolio-navigation .qodef-m-inner {
  display: grid;
  grid-template-columns: 1fr 1fr; 
  align-items: center;
  justify-content: center;

 }

   #qodef-single-portfolio-navigation .qodef-m-nav-center { 
        display: contents;
        align-items: center;
    }

       #qodef-single-portfolio-navigation  .qodef-m-nav-right:nth-of-type(1) {
        flex-direction: column-reverse;
        grid-column: 1;
        grid-row: 1;
    }

    /* secondo nav-right */
    #qodef-single-portfolio-navigation .qodef-m-nav-right:nth-of-type(2)  {
      grid-column: 2;
      grid-row: 2;
    }
    #qodef-single-portfolio-navigation .qodef-m-nav-right:has(.qodef-m-nav-thumbnail):nth-of-type(2)  {
      grid-column: 2;
      grid-row: 1;
    }


     #qodef-single-portfolio-navigation  .qodef-m-nav-center > :nth-child(1) {
        grid-column: 2;
        grid-row: 1;
    }

     #qodef-single-portfolio-navigation  .qodef-m-nav-center > :nth-child(2) {
        grid-column: 1;
        grid-row: 2;
    }
}
/*-----------*/

  .qodef-m-nav.qodef--prev .qodef-svg--slider-arrow-right,  .qodef-m-nav.qodef--prev .qodef-svg--slider-arrow-left {
   transform: scale(1.5);
   margin:20px;
}

.qodef-m-nav-right-inner {
  text-align: center;
}
#qodef-single-portfolio-navigation .qodef-m-nav-right
 {  
    justify-content: center;

}


.qodef-m-nav-center{
    display: flex;
    align-items: center;
    justify-content: flex-end;
    flex-direction: column;
    column-gap: 50px;
    row-gap: 20px;
    text-align: right;
    margin-top: 19px;
}

.qodef-media.qodef-swiper-container .swiper-button-prev, .qodef-media.qodef-swiper-container .swiper-button-next {
mix-blend-mode: difference;
color: white;
}

.qodef-opener-icon.qodef-source--predefined .qodef-m-line {
  height: 2px;
}

.home .qodef-fullscreen-menu-opener .qodef-m-icon.qodef--open .qodef-m-lines{
    filter: drop-shadow( 0 0 10px rgba(0,0,0,0.7))
          drop-shadow(0 0 20px rgba(0,0,0,0.7))
	  drop-shadow( 0 0 40px rgba(0,0,0,0.8));

}

.qodef-fullscreen-menu-opener.qodef--opened .qodef-m-icon.qodef--open .qodef-m-lines{
    filter: none; 

}
.qodef-opener-icon.qodef-source--predefined .qodef-m-lines {
  height: 20px;
}

.qodef-opener-icon.qodef-source--predefined:hover .qodef-m-line.qodef--2 {
  top:9px;
}

.qodef-portfolio-list.qodef-layout--parallax .qodef-portfolio-list-texts .qodef-pli-counter .qode--char {
  font-size:250px; 
}


/* FL Regole e media query per gestire lo slider nella sezione "About me"*/
.quotes-section .qodef-e-quote-icon{
margin: 0 0 0 1em;
}
.quotes-section .qodef-e-author {
margin: 1rem; 
}




@media screen and (min-width: 1190px) {
	.quotes-section.qodef-testimonials-list .qodef-e-inner {
	display:flex!important;
   height: 430px;
}

 .quotes-section .qodef-e-media-image {
	width:50%;
  height:100%;	
   object-fit:cover;
    display:block;

	} 
	.quotes-section .qodef-e-content {
    display:block;
		width: 50%;
		height: 50%;
	}	

 .quotes-section.qodef-testimonials-list.qodef-swiper-container .swiper-button-prev{ 
  left: 55% !important; 
	bottom: 13%!important;
	} 
	
.quotes-section.qodef-testimonials-list.qodef-swiper-container .swiper-button-next { 
	left: 63% !important; 
	bottom: 13%!important;
	}
}

@media (min-width: 1190px) and (max-width: 1400px ) {
	.quotes-section.qodef-testimonials-list.qodef-swiper-container .swiper-button-next { 
	left: 65% !important; 
	}
}

.qodef-accordion-content.ui-accordion-content.ui-corner-bottom.ui-helper-reset.ui-widget-content.ui-accordion-content-active {
	height: auto!important; 
}

.interactive-team-reveal--responsive .qodef-e-team-link {
	  position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 2;
	
}


@media screen and (min-width: 670px) and (max-width: 1210px) {
    .qodef-parallax-img-holder {
        top: 150px;
    }

}

/*ULTIMO CSS INLINE*/

.qodef-icon-holder .qodef-icon {
	margin: 10px; 
}

#qodef-page-footer-bottom-area .qodef-grid.qodef-col-num--2>.qodef-grid-inner {  
	--qode-columns: 1
}

#qodef-page-footer-bottom-area .widget.widget_block.widget_text {
	text-align:center; 
}

#qodef-page-footer-bottom-area-inner {
	padding-bottom:0px; 
	padding-top: 0px; 
}

.wpml-ls-legacy-list-horizontal.wpml-ls-statics-footer {
	margin-bottom: 0px; 
}

#qodef-single-portfolio-navigation .qodef-m-inner{
	gap:10px;
}

